/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.activity;

import android.os.Bundle;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.manager.ActionBarManager;
import kr.co.zumo.app.lifeplus.model.RestMemberModel;
import kr.co.zumo.app.lifeplus.supervisor.ScreenChangerHelper;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.IView;
import kr.co.zumo.app.lifeplus.view.presenter.RestMemberPresenter;

/**
 * PermissionInfoActivity
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-09-29]   [최초 작성]
 * @since 2018-09-29
 */
public class RestMemberActivity extends ActivityBase<RestMemberPresenter> implements IView {

  @Override
  void onAfterCreate(Bundle savedInstanceState) {

    setContentView(R.layout.view_container);

    ScreenChangerHelper.getInstance().setAppCompatActivity(this);
    ScreenChangerHelper.getInstance().setContainerId(R.id.container);

    presenter.onEvent(new Event.Builder(Event.START).build());

  }

  @Override
  void defineActionBar() {
    ActionBarManager.getInstance().hide();
  }

  @Override
  RestMemberPresenter definePresenter() {
    return new RestMemberPresenter(getModel(RestMemberModel.class), this);
  }
}
